class KAboutContainerBase

# class KAboutContainerBase | Used internally by KAboutDialog More...
Internal Use Only
Definition | `#include <kaboutdialog_private.h>`
Inherits | QWidget (qt) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- enum LayoutType { AbtPlain = 0x0001, AbtTabbed = 0x0002, AbtTitle = 0x0004, AbtImageLeft = 0x0008, AbtImageRight = 0x0010, AbtImageOnly = 0x0020, AbtProduct = 0x0040, AbtKDEStandard = AbtTabbed|AbtTitle|AbtImageLeft, AbtAppStandard = AbtTabbed|AbtTitle|AbtProduct, AbtImageAndTitle = AbtPlain|AbtTitle|AbtImageOnly }

#### Public Methods

- KAboutContainerBase ( int layoutType, QWidget *parent = 0, char *name = 0 )
- virtual void show ( void )
- virtual QSize sizeHint ( void ) const
- void setTitle ( const QString &title )
- void setImage ( const QString &fileName )
- void setImageBackgroundColor ( const QColor &color )
- void setImageFrame ( bool state )
- void setProduct ( const QString &appName, const QString &version, const QString &author, const QString &year )
- QFrame * addTextPage ( const QString &title, const QString &text, bool richText=false, int numLines=10 )
- QFrame * addLicensePage ( const QString &title, const QString &text, int numLines=10 )
- KAboutContainer * addContainerPage ( const QString &title, int childAlignment = AlignCenter, int innerAlignment = AlignCenter )
- KAboutContainer * addScrolledContainerPage ( const QString &title, int childAlignment = AlignCenter, int innerAlignment = AlignCenter )
- QFrame * addEmptyPage ( const QString &title )
- KAboutContainer * addContainer ( int childAlignment, int innerAlignment )

#### Public Slots

- virtual void slotMouseTrack ( int mode, const QMouseEvent *e )
- virtual void slotUrlClick ( const QString &url )
- virtual void slotMailClick ( const QString &name, const QString &address )

#### Signals

- void mouseTrack ( int mode, const QMouseEvent *e )
- void urlClick ( const QString &url )
- void mailClick ( const QString &name, const QString &address )

#### Protected Methods

- virtual void fontChange ( const QFont &oldFont )

## Detailed Description

Used internally by KAboutDialog

enum LayoutType { AbtPlain = 0x0001, AbtTabbed = 0x0002, AbtTitle = 0x0004, AbtImageLeft = 0x0008, AbtImageRight = 0x0010, AbtImageOnly = 0x0020, AbtProduct = 0x0040, AbtKDEStandard = AbtTabbed|AbtTitle|AbtImageLeft, AbtAppStandard = AbtTabbed|AbtTitle|AbtProduct, AbtImageAndTitle = AbtPlain|AbtTitle|AbtImageOnly } | ### LayoutType

KAboutContainerBase ( int layoutType, QWidget *parent = 0, char *name = 0 ) | ### KAboutContainerBase

void show ( void ) | ### show

[virtual]

QSize sizeHint ( void ) | ### sizeHint

[const virtual]

void setTitle ( const QString &title ) | ### setTitle

void setImage ( const QString &fileName ) | ### setImage

void setImageBackgroundColor ( const QColor &color ) | ### setImageBackgroundColor

void setImageFrame ( bool state ) | ### setImageFrame

void setProduct ( const QString &appName, const QString &version, const QString &author, const QString &year ) | ### setProduct

QFrame * addTextPage ( const QString &title, const QString &text, bool richText=false, int numLines=10 ) | ### addTextPage

QFrame * addLicensePage ( const QString &title, const QString &text, int numLines=10 ) | ### addLicensePage

KAboutContainer * addContainerPage ( const QString &title, int childAlignment = AlignCenter, int innerAlignment = AlignCenter ) | ### addContainerPage

KAboutContainer * addScrolledContainerPage ( const QString &title, int childAlignment = AlignCenter, int innerAlignment = AlignCenter ) | ### addScrolledContainerPage

QFrame * addEmptyPage ( const QString &title ) | ### addEmptyPage

KAboutContainer * addContainer ( int childAlignment, int innerAlignment ) | ### addContainer

void slotMouseTrack ( int mode, const QMouseEvent *e ) | ### slotMouseTrack

[virtual slot]

void slotUrlClick ( const QString &url ) | ### slotUrlClick

[virtual slot]

void slotMailClick ( const QString &name, const QString &address ) | ### slotMailClick

[virtual slot]

void fontChange ( const QFont &oldFont ) | ### fontChange

[protected virtual]

Reimplemented from QWidget.

void mouseTrack ( int mode, const QMouseEvent *e ) | ### mouseTrack

[signal]

void urlClick ( const QString &url ) | ### urlClick

[signal]

void mailClick ( const QString &name, const QString &address ) | ### mailClick

[signal]

Generated by: root on macppc.ports.openbsd.org on Sat Sep 6 10:36:37 2003, using kdoc 2.0a54.